<template>
  <button
    v-bind="{ disabled }"
    :class="{ big }"
    v-on="$listeners">
    <slot>
      {{ label }}
    </slot>
  </button>
</template>

<style lang="scss" scoped>
button {
  cursor: pointer;
  font-weight: bold;
  text-transform: uppercase;
  background: #ff0000;
  border: 0;
  height: 20px;
  line-height: 20px;
  color: #fff;
  font-size: 0.75em;
  padding: 0 10px;
  -webkit-transition: background 0.1s ease-out;
  margin: 20px;
  outline: 0;
  &:hover {
    background: #e60000;
  }
  &.big {
    padding: 0 20px;
    letter-spacing: 0.15em;
    height: 45px;
    line-height: 45px;
  }
  &:disabled {
    cursor: inherit;
    background-color: #eeeeee;
  }
}
</style>

<script>
export default {
  name: 'ButtonComponent',

  data() {
    return {
    };
  },

  props: {
    disabled: {
      type: Boolean,
      default: false,
    },
    big: {
      type: Boolean,
      default: false,
    },
    label: {
      type: String,
      default: '',
    },
  },
};
</script>
